=== debian/changelog ===
ogamesim (20130107-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change debhelper from 5 to 11. Update debian/rules. (Closes: #965752)
    - Clean files by debian/clean
  * Change source package to DebSrc3.0 with quilt.
    - Split diff.gz to quilt patches.
  * debian/control: Change priority from extra to optional.
  * debian/control: Don't depends on perl-modules. Depends on perl is enough.
  * debian/copyright: Change to dep5 machine-readable format.
  * Add autopkgtest

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 07 Jan 2022 15:43:00 +0800

ogamesim (20130107-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 15:09:25 +0100

ogamesim (20130107-3) unstable; urgency=medium

  * Fixed FTBFS (closes: #845102), thanks to Santiago Vila <sanvila@debian.org>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 15 May 2017 12:29:27 +0300

ogamesim (20130107-2) unstable; urgency=medium

  * Fixed FTBFS (closes: #822012), thanks to <niels@thykier.net>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 27 Oct 2016 11:15:36 +0300

ogamesim (20130107-1) unstable; urgency=low

  * Apply Paweł Kalinowski's patches.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 07 Jan 2013 00:28:58 +0400

ogamesim (20080831-1) unstable; urgency=low

  * New upstream version (Polish language added).

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 31 Aug 2008 18:10:05 +0400

ogamesim (20071227-1) unstable; urgency=low

  * New upstream version (Czech language added).
  * Fix copyright lintian warning (debian/copyright).
  * Added 'Homepage' field into debian/control.
  * Bumped Standards-Version to 3.7.3.
  * Use debhelper for building package, closes: #437666.
  * My email address has been changed.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 29 May 2008 22:20:16 +0300

ogamesim (20070215-2) unstable; urgency=low

  * Fix ogamesim-www 'download' link (closes: #411549);
  * Fix "package is not cross-compilable" bug (closes: #411598),
  	thanks "Guillem Jover" <guillem@debian.org> :);
  * Fix 'hardcoded shared libs in Depends line' bug (closes: #411596);
  * Fix Build-Depends line (unneeded on build-essential package) 
  	(closes: #411599);
  * Fix package description (closes: #411601);

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Tue, 20 Feb 2007 10:24:42 +0300

ogamesim (20070215-1) unstable; urgency=low

  * New upstream version;

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Sat, 17 Feb 2007 23:42:00 +0300

ogamesim (20070208-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Thu,  8 Feb 2007 21:29:01 +0300

ogamesim (20070204-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Sun,  4 Feb 2007 18:50:05 +0300

ogamesim (20061229-3) unstable; urgency=low

  * Fix 'Build-depends' section (as policy sec. 4.2).

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Sun, 14 Jan 2007 18:45:55 +0300

ogamesim (20061229-2) unstable; urgency=low

  * Fix changelog.Debian.gz as 'Debian policy (sec 12.7)';
  * Fix debian/copyright (Add 'downloaded from' section).

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Mon,  1 Jan 2007 18:34:26 +0300

ogamesim (20061229-1) unstable; urgency=low

  * Initial release (closes: #402192).

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Fri, 29 Dec 2006 00:52:18 +0300
