=== debian/control ===
Source: ogamesim
Section: games
Priority: optional
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Standards-Version: 3.7.3
Build-Depends: perl (>= 5.6), gettext (>= 0.15), debhelper (>= 11)
Homepage: http://www.o-o-d.com/tool/sim

Package: ogamesim
Suggests: ogamesim-www
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Console Ogame Simulator
 Console battles simulator for the  online MMORG Ogame (strategic 
 space simulation game): http://ogame.org. It allows to perform the 
 battles simulation between one player and another one player 
 (Multi-combat mode is not supported).
 The simulator can integrate in a script bot or can be used just 
 for the battle result calculation.

Package: ogamesim-www
Suggests: apache2
Architecture: all
Depends: perl, libsys-cpu-perl, libcgi-simple-perl, libhtml-template-perl, ogamesim, ${misc:Depends}
Description: WWW GUI for ogamesim
 CGI frontend for the console battles simulator.
 Contains:
  * The probe report parser for the automatical input form filling;
  * The task editor for the simulator;
  * The calculation results report parser;
  * The multilanguage interface.
