=== debian/tests/control ===
Tests: test-task
Depends: ogamesim

Tests: test-csim-tests
Depends: ogamesim
